LIBRSVG: C library for rendering SVG

LIBRSVG 2.62.3 C library for rendering SVG

Loading...
Searching...
No Matches
Typedefs | Functions
Deprecated
librsvg

Older entry points kept for compatibility. More...

## Typedefs
typedef void(* | RsvgSizeFunc) (gint *width, gint *height, gpointer user_data)
| RsvgSizeFunc:

## Functions
void | rsvg_cleanup (void)
| rsvg_cleanup:
void | rsvg_set_default_dpi (double dpi)
| rsvg_set_default_dpi:
void | rsvg_set_default_dpi_x_y (double dpi_x, double dpi_y)
| rsvg_set_default_dpi_x_y:
void | rsvg_init (void)
| rsvg_init:
void | rsvg_term (void)
| rsvg_term:
void | rsvg_handle_free (RsvgHandle *handle)
| rsvg_handle_free:
void | rsvg_handle_set_size_callback (RsvgHandle *handle, RsvgSizeFunc size_func, gpointer user_data, GDestroyNotify user_data_destroy)
| rsvg_handle_set_size_callback:
const char * | rsvg_handle_get_title (RsvgHandle *handle)
| rsvg_handle_get_title:
const char * | rsvg_handle_get_desc (RsvgHandle *handle)
| rsvg_handle_get_desc:
const char * | rsvg_handle_get_metadata (RsvgHandle *handle)
| rsvg_handle_get_metadata:

## Detailed Description

Older entry points kept for compatibility.

## Typedef Documentation

## ◆ RsvgSizeFunc

typedef void(* RsvgSizeFunc) (gint *width, gint *height, gpointer user_data)

`#include <rsvg.h>`

RsvgSizeFunc:

Deprecated:
  Use a Cairo matrix and rsvg_handle_render_document().

Since
  2.4

## Function Documentation

## ◆ rsvg_cleanup()

void rsvg_cleanup | ( | void |  | ) |

`#include <rsvg.h>`

rsvg_cleanup:

No-op. GObject finalization is enough.

Deprecated:
  Since 2.36: do not call this.

Since
  2.36

## ◆ rsvg_handle_free()

void rsvg_handle_free | ( | RsvgHandle * | handle | ) |

`#include <rsvg.h>`

rsvg_handle_free:

Deprecated:
  Use g_object_unref().

Since
  2.0

## ◆ rsvg_handle_get_desc()

const char * rsvg_handle_get_desc | ( | RsvgHandle * | handle | ) |

`#include <rsvg.h>`

rsvg_handle_get_desc:

Deprecated:
  SVG metadata is not exposed this way.

Since
  2.4

## ◆ rsvg_handle_get_metadata()

const char * rsvg_handle_get_metadata | ( | RsvgHandle * | handle | ) |

`#include <rsvg.h>`

rsvg_handle_get_metadata:

Deprecated:
  SVG metadata is not exposed this way.

Since
  2.9

## ◆ rsvg_handle_get_title()

const char * rsvg_handle_get_title | ( | RsvgHandle * | handle | ) |

`#include <rsvg.h>`

rsvg_handle_get_title:

Deprecated:
  SVG metadata is not exposed this way.

Since
  2.4

## ◆ rsvg_handle_set_size_callback()

void rsvg_handle_set_size_callback | ( | RsvgHandle * | handle,
|  | RsvgSizeFunc | size_func,
|  | gpointer | user_data,
|  | GDestroyNotify | user_data_destroy
| ) |  |

`#include <rsvg.h>`

rsvg_handle_set_size_callback:

Deprecated:
  Use a Cairo matrix and rsvg_handle_render_document().

Since
  2.4

## ◆ rsvg_init()

void rsvg_init | ( | void |  | ) |

`#include <rsvg.h>`

rsvg_init:

Deprecated:
  Use g_type_init() only on ancient GLib; otherwise do nothing.

Since
  2.9

## ◆ rsvg_set_default_dpi()

void rsvg_set_default_dpi | ( | double | dpi | ) |

`#include <rsvg.h>`

rsvg_set_default_dpi:

Deprecated:
  Since 2.42: use rsvg_handle_set_dpi() on a handle.

Since
  2.8

## ◆ rsvg_set_default_dpi_x_y()

void rsvg_set_default_dpi_x_y | ( | double | dpi_x,
|  | double | dpi_y
| ) |  |

`#include <rsvg.h>`

rsvg_set_default_dpi_x_y:

Deprecated:
  Since 2.42: use rsvg_handle_set_dpi_x_y() on a handle.

Since
  2.8

## ◆ rsvg_term()

void rsvg_term | ( | void |  | ) |

`#include <rsvg.h>`

rsvg_term:

Deprecated:
  No-op.

Since
  2.9